Subject: Re: bug#71209: [PATCH] Add font-locking for variables in go-ts-mode range clauses

From: Dmitry Gutov <[email-masked]>
Date: Sat, 1 Jun 2024 04:56:35 +0300

On 01/06/2024 04:09, Randy Taylor wrote:
> On Thursday, May 30th, 2024 at 09:25, Noah Peart <[email-masked]> wrote:
>>> it seems we already highlight this when at treesit-font-lock-level 4?
>> They get highlighted with `font-lock-variable-use-face` at level 4, but shouldn't
>> they be getting `font-lock-variable-name-face` in the 'definition feature?
>>
> 
> Indeed, thanks. Could someone please install the patch? Thanks in advance.

Now pushed to master. Thanks Noah!

> Seems like c++-ts-mode will need to get updated too, as with:
> for (const auto& i : things) {}
> i gets font-lock-variable-use-face. I wonder if any other ts modes
> have similar issues.

I would probably rather call those "missing features" rather than 
issues. I've added such highlightings to some of the constructs for 
several treesit modes last year, but more can be missing, so 
contributions welcome.